Page MenuHomePhabricator

Support {{NFPA 704}} in PDF
Closed, ResolvedPublic

Description

Details

Reference
bz71818

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:56 AM
bzimport added a project: OCG-PDF-renderer.
bzimport set Reference to bz71818.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Oct 8 2014, 5:51 PM
Restricted Application added a project: Internet-Archive. · View Herald TranscriptNov 29 2015, 2:06 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Juetho added a subscriber: Juetho.Dec 15 2015, 10:50 AM

I support this request, too. Here's another example:

  • de-Wikibooks "Komplexe Zahlen/ Darstellungsformen"
  • Appendix 1 F3079535 is the created pdf file without any change. Appendix 2 F3079554 shows the errors.
  • Wikitables are not shown (as well as part of a template's content or directly in the wiki site). See error #5 on pp. 2,4 in appendix 2
  • The templates Übung4 and Übung4 Lösung aren't shown at all. Therefore the reader cannot see where a specific exercise (Übung) or solution (Lösung) starts and ends. See T121507 but maybe the wikitable problem, too.

As already announced in Tech News, OfflineContentGenerator (OCG) will not be used anymore after October 1st, 2017 on Wikimedia sites. OCG will be replaced by Electron. You can read more on mediawiki.org.

TheDJ closed this task as Resolved.Jun 4 2019, 1:31 PM
TheDJ claimed this task.
TheDJ edited projects, added PDF-Rendering; removed OCG-PDFRenderer.
TheDJ added a subscriber: TheDJ.

This seems fixed with proton.


issue 5: of T73818#1880412

issue with Übung4 and Übung4 Lösung of T73818#1880412

Book rendering is no longer available, so...:

TheDJ added a comment.Jun 4 2019, 1:33 PM

And the issue {{NFPA 704}} in PDF